Bug 145127 - Error: invalid assignment left-hand side (saved.models.js.cgi)
Error: invalid assignment left-hand side (saved.models.js.cgi)
Status: CLOSED ERRATA
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: ispec (Show other bugs)
beta
All Linux
medium Severity medium
: ---
: ---
Assigned To: Will Woods
Richard Li
:
Depends On:
Blocks: 143442
  Show dependency treegraph
 
Reported: 2005-01-14 11:39 EST by Daniel W. Ottey
Modified: 2007-04-18 13:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 10:19:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel W. Ottey 2005-01-14 11:39:17 EST
Description of problem:
After we created a new spec, the main iSpec page would no longer fully load.  We
would see the header, but none of the tabs were displayed.

We looked in the Javascript console to determine if there were any errors there
(since I was sure the Javascript was creating the tabs).  The following error
was displayed on the Javascript console:

Error: invalid assignment left-hand side
Source file http://10.0.125.1/ispec/cgi-bin/saved.models.js.cgi    Line 88
f.field__disk.multi-volumes_8.value = “on”;

I decided to delete the following line from cgi-data.pl for our newly created model
'field__disk_multi-volumes_8' => 'on',

Once deleted, the error moved to f.field__disk.multi-volumes_7.value = “on”;

When we deleted all such lines, the main page once again loaded successfully.


As examples:

Version-Release number of selected component (if applicable):
ispec-0.95-1.8rc1


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Richard Li 2005-01-14 11:41:50 EST
Marking it an errata blocker. Is this a problem with the GM release of iSpec
(1.0-2)?
Comment 2 Daniel W. Ottey 2005-01-14 11:46:25 EST
Yes, sorry I put in the wrong version.  We just updated this morning.

[root@m0125 ~]# rpm -qa ispec
ispec-1.0-2

What does "errata blocker" mean?
Comment 3 Richard Li 2005-01-14 11:54:49 EST
it means it's scheduled for next errata release.
Comment 4 Daniel W. Ottey 2005-01-14 12:22:55 EST
I'm just not sure, so it would be helpful to know.  How often are "errata
releases?"  Should we expect the fix soon?  Or before RHEL4 official release?

If not, is it acceptable to delete the lines like we did in order to work-around
the problem?
Comment 5 Richard Li 2005-01-14 12:25:40 EST
We will schedule an errata based on the severity of bugs reported against iSpec
(if we get critical bugs, we'll push something out sooner). We don't have enough
feedback yet to make that decision.

Deleting the lines as a work-around is OK. Note that iSpec is not mandatory for
certification; it's a tool to help you configure RHR and testing more
efficiently. So the key here is to make sure that the kickstart file you use to
test the system is properly generated and has the right set of tests that cover
your hardware.
Comment 6 Will Woods 2005-01-14 13:56:36 EST
This is a bug in js/_disk.js; dash ('-') is apparently not a valid character for
javascript identifiers. Changing 'multi-volume' and 'multi-path' to
'multivolume' and 'multipath' seems to prevent this from happening. 

If there's bad data in cgi-data.pl which causes the form to fail to load, you
can fix it by running the following, as root:

cd /var/www/html/ispec/models
perl -p -i.bad -e 's/multi-(volume|path)/multi\1/g' */cgi-data.pl
chown apache.apache */cgi-data.pl
Comment 7 David Lawrence 2005-02-01 10:19:54 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-051.html

Note You need to log in before you can comment on or make changes to this bug.